Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V2006 Release 0308
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.jdic.desktop
Class Message

    java.lang.Object
      org.jdesktop.jdic.desktop.Message

    public class Message

extends java.lang.Object

This class represents a message structure.

It consists of several necessary message fields.

See Also:
  `Desktop.mail(Message)`

Constructor Summary
`Message()` Constructor of a `Message` object.

Method Summary
`java.util.Iterator` | `getAttachments()` Gets an iterator of the message "Attachment" file list.
`java.util.Iterator` | `getBccAddrs()` Gets an iterator of the message "Bcc" address list.
`java.lang.String` | `getBody()` Gets the "Body" field of the message.
`java.util.Iterator` | `getCcAddrs()` Gets an iterator of the message "Cc" address list.
`java.lang.String` | `getSubject()` Gets the "Subject" field of the message.
`java.util.Iterator` | `getToAddrs()` Gets an iterator of the message "To" address list.
`void` | `setAttachments(java.util.List attachList)` Sets the message "Attachments" field.
`void` | `setBccAddrs(java.util.List abccList)` Sets the message "Bcc" address list.
`void` | `setBody(java.lang.String abody)` Sets the message "Body" field.
`void` | `setCcAddrs(java.util.List accList)` Sets the message "Cc" address list.
`void` | `setSubject(java.lang.String asubject)` Sets the message "Subject" field.
`void` | `setToAddrs(java.util.List atoList)` Sets the message "To" address list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Message

    public Message()

  Constructor of a `Message` object.

Method Detail

### getToAddrs

    public java.util.Iterator getToAddrs()

  Gets an iterator of the message "To" address list.

  Returns:
    an `Iterator` object of the message "To" address list.

### setToAddrs

    public void setToAddrs(java.util.List atoList)

  Sets the message "To" address list.

  Parameters:
    `atoList` - an email address list for the "To" field.

### getCcAddrs

    public java.util.Iterator getCcAddrs()

  Gets an iterator of the message "Cc" address list.

  Returns:
    an `Iterator` object of the message "Cc" address list.

### setCcAddrs

    public void setCcAddrs(java.util.List accList)

  Sets the message "Cc" address list.

  Parameters:
    `accList` - an email address list for the "Cc" field.

### getBccAddrs

    public java.util.Iterator getBccAddrs()

  Gets an iterator of the message "Bcc" address list.

  Returns:
    an `Iterator` object of the message "Bcc" address list.

### setBccAddrs

    public void setBccAddrs(java.util.List abccList)

  Sets the message "Bcc" address list.

  Parameters:
    `abccList` - an email address list for the "Bcc" field.

### getSubject

    public java.lang.String getSubject()

  Gets the "Subject" field of the message.

  Returns:
    the value of the "Subject" field.

### setSubject

    public void setSubject(java.lang.String asubject)

  Sets the message "Subject" field.

  Parameters:
    `asubject` - a string for the "Subject" field.

### getBody

    public java.lang.String getBody()

  Gets the "Body" field of the message.

  Returns:
    the value of the "Body" field.

### setBody

    public void setBody(java.lang.String abody)

  Sets the message "Body" field.

  Parameters:
    `abody` - a string for the "Body" field.

### getAttachments

    public java.util.Iterator getAttachments()

  Gets an iterator of the message "Attachment" file list.

  Returns:
    an `Iterator` object of the message "Attachment" file list.

### setAttachments

    public void setAttachments(java.util.List attachList)
                        throws java.io.IOException

  Sets the message "Attachments" field.

  Parameters:
    `attachList` - the given attachment list, whose elements are the abosolute paths of files to be attached.
  Throws:
    `java.io.IOException` - if any of the attached files is not readable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V2006 Release 0308
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For more information and documentation on JDIC, see JDIC website.

That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, working code examples, license terms and bug report information.

Copyright (c) 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.